aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/presentation_new/run_report.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2018-12-10 12:35:21 +0100
committerTibor Frank <tifrank@cisco.com>2018-12-13 12:29:06 +0000
commit22cd7ebc075483d2977393429260df818072fa52 (patch)
treefe3e550b2541b76b17146a379596fd3be49da77b /resources/tools/presentation_new/run_report.sh
parent9b51f36d4ad4d5364d010a32e4e3df0e5c695e9d (diff)
Trending: New sensitive detection
This enables PAL to consider burst size and stdev when detecting anomalies. Currently added as a separate presentation_new directory, so the previous detection is still available by default. TODO: If the state with two detections persists for some time, create a script for generating presentation_new/ (from presentation/) to simplify maintenance. Change-Id: Ic118aaf5ff036bf244c5820c86fa3766547fa938 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/tools/presentation_new/run_report.sh')
-rwxr-xr-xresources/tools/presentation_new/run_report.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/resources/tools/presentation_new/run_report.sh b/resources/tools/presentation_new/run_report.sh
new file mode 100755
index 0000000000..9a2fedd599
--- /dev/null
+++ b/resources/tools/presentation_new/run_report.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+set -x
+
+RELEASE=$1
+
+# set default values in config array
+typeset -A CFG
+typeset -A DIR
+
+DIR[WORKING]=_tmp
+CFG[BLD_LATEX]=1
+
+# Install system dependencies
+sudo apt-get -y update
+sudo apt-get -y install libxml2 libxml2-dev libxslt-dev build-essential \
+ zlib1g-dev unzip
+
+if [[ ${CFG[BLD_LATEX]} -eq 1 ]] ;
+then
+ sudo apt-get -y install xvfb texlive-latex-recommended \
+ texlive-fonts-recommended texlive-fonts-extra texlive-latex-extra latexmk wkhtmltopdf inkscape
+ sudo sed -i.bak 's/^\(main_memory\s=\s\).*/\110000000/' /usr/share/texlive/texmf-dist/web2c/texmf.cnf
+fi
+
+# Create working directories
+mkdir ${DIR[WORKING]}
+
+# Create virtual environment
+virtualenv ${DIR[WORKING]}/env
+. ${DIR[WORKING]}/env/bin/activate
+
+# Install python dependencies:
+pip install -r requirements.txt
+
+export PYTHONPATH=`pwd`
+
+python pal.py \
+ --specification specification.yaml \
+ --release ${RELEASE} \
+ --week "49" \
+ --logging INFO \
+ --force
+
+RETURN_STATUS=$(echo $?)
+exit ${RETURN_STATUS}